Update one risk profile
curl --request PATCH \
--url https://api-v2.tryadvocate.com/rest/risk-profiles/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"certificateHolders": [
{
"id": "<string>",
"types": [],
"defaultForTypes": []
}
],
"removeCertificateHolders": [
"<string>"
]
}
'import requests
url = "https://api-v2.tryadvocate.com/rest/risk-profiles/{id}"
payload = {
"certificateHolders": [
{
"id": "<string>",
"types": [],
"defaultForTypes": []
}
],
"removeCertificateHolders": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
certificateHolders: [{id: '<string>', types: [], defaultForTypes: []}],
removeCertificateHolders: ['<string>']
})
};
fetch('https://api-v2.tryadvocate.com/rest/risk-profiles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"version": 123,
"type": "STANDALONE",
"protectionScore": 123,
"assetTypes": [
"<string>"
],
"certificateHolders": [
"<string>"
],
"certificateHolderClauseTypes": [
{
"id": "<string>",
"types": [
"mortgagee"
],
"defaultForTypes": [
"mortgagee"
]
}
],
"isPublished": true,
"isLatestVersion": true,
"publishedAt": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Risk Profiles
Update one risk profile
PATCH
/
rest
/
risk-profiles
/
{id}
Update one risk profile
Authorizations
Service account token (live_ or test_ prefix)
Path Parameters
Body
application/json
Response
Returns the updated risk profile
Available options:
STANDALONE, CLONE, SUBSCRIPTION Clause types each certificate holder supports and is the default for on the risk profile.
Show child attributes
Show child attributes
True once the risk profile has been published.
True when this is the latest published version of the risk profile.